## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           lest
Version:        1.35.2
Release:        %autorelease
Summary:        Tiny C++11 test framework

License:        BSL-1.0
URL:            https://github.com/martinmoene/lest
Source:         %{url}/archive/v%{version}/lest-%{version}.tar.gz

# Fix some text-incoding inconsistencies
# https://github.com/martinmoene/lest/pull/77
Patch:          %{url}/pull/77.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake

# No compiled binaries are installed, so this would be empty.
%global debug_package %{nil}

%global common_description %{expand:
A modern, C++11-native, single-file header-only, tiny framework for unit-tests,
TDD and BDD (includes C++98 variant).}

%description %{common_description}


%package devel
Summary:        Development files for %{name}

BuildArch:      noarch

# Header-only library
Provides:       %{name}-static = %{version}-%{release}

%description devel %{common_description}

The %{name}-devel package contains header files for developing applications
that use %{name}.


%prep
%autosetup -n lest-%{version} -p1


%build
# https://github.com/martinmoene/lest/issues/56#issuecomment-344417309:
# > The numbered 'tests' are actually examples of which several fail for
# > educational reasons.
# >
# > CMake variable LEST_BUILD_EXAMPLE lets you control inclusion of the
# > examples in the build process; by default it's on.
%cmake -DLEST_BUILD_EXAMPLE:BOOL=OFF
%cmake_build


%install
%cmake_install


%check
%ctest


%files devel
%license LICENSE.txt
%doc CHANGES.txt
%doc README.md
%doc example/

%{_includedir}/lest/


%changelog
## START: Generated by rpmautospec
* Wed Jan 08 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.35.2-2
- Backport to EPEL8/9 (no %%conf section support)

* Wed Jan 08 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.35.2-1
- Initial package (close RHBZ#2335942)
## END: Generated by rpmautospec
